Subject: Re: linux-next: rr tree build failure

From: Rusty Russell <[email-masked]>
Date: Fri, 21 Nov 2008 21:28:51 +1030

On Friday 21 November 2008 13:49:13 Stephen Rothwell wrote:
> Hi Rusty,
>
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
>
> drivers/usb/core/usb.c:958:76: error: macro "__module_param_call" requires
> 7 arguments, but only 6 given
>
> Caused by commit 636c06e04b23e9dabf709c496cb9a28459f63eaa
> ("param:core_param-really-really-early").
>
> I have dropped the rr tree again.

Yes, I didn't get a reply from Greg about whether he really needs "nousb" to
be a module param, so I dropped my proposed USB fix.  I've restored it now.

Greg, here's the complete patch I have now:

Subject: USB: Use core_param.

Found this when I changed args to __module_param_call.  We now have
core_param for exactly this.

This reverts to the 2005 (pre- aafbf24a) behaviour where "nousb" was
not a module parameter, just a kernel command line parameter.  That's
more sensible anyway.

Signed-off-by: Rusty Russell <[email-masked]>
Cc: Greg Kroah-Hartman <[email-masked]>
Cc: Pete Zaitcev <[email-masked]>
---
 drivers/usb/core/usb.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

--- linux-2.6.orig/drivers/usb/core/usb.c
+++ linux-2.6/drivers/usb/core/usb.c
@@ -963,7 +963,9 @@ void usb_buffer_unmap_sg(const struct us
 EXPORT_SYMBOL_GPL(usb_buffer_unmap_sg);
 
 /* format to disable USB on kernel command line is: nousb */
-__module_param_call("", nousb, param_set_bool, param_get_bool, &nousb, 0444);
+#ifndef MODULE
+core_param(nousb, nousb, bool, 0444);
+#endif
 
 /*
  * for external read access to <nousb>